#include <stdio.h>
#include <signal.h>
#include <setjmp.h>

static sigjmp_buf out;

void sigill(int signal)
{
  siglongjmp(out, 1);
}

int main(void)
{
  int died;

  signal(SIGILL, sigill);

  died = sigsetjmp(out, 1);

  if (!died)
    asm volatile("fcomi st(0), st(1)");

  printf("Long FCOMi supported: %s\n", died ? "no" : "yes");
  return died;
}
